net.i2p.router.web.helpers

## Class ConfigReseedHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.ConfigReseedHelper

-     public class ConfigReseedHelper
      extends HelperBase

  Helper for reseed configuration page rendering and form processing.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigReseedHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuth()`
    `String` | `getEnable()`
    `String` | `getHost()`
    `String` | `getNofilter_password()`
    `String` | `getNofilter_spassword()`
    `String` | `getPort()`
    `String` | `getReseedURL()`
    `String` | `getSauth()`
    `String` | `getShost()`
    `String` | `getSport()`
    `String` | `getSusername()`
    `String` | `getUsername()`
    `String` | `modeChecked(int mode)`
    `String` | `pmodeChecked(int mode)`
    `boolean` | `shouldShowHTTPProxy()`
    `boolean` | `shouldShowHTTPSProxy()`
    `boolean` | `shouldShowSelect()`

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigReseedHelper

          public ConfigReseedHelper()

  - ### Method Detail

    - #### getAuth

          public String getAuth()

    - #### getEnable

          public String getEnable()

    - #### getHost

          public String getHost()

    - #### getNofilter_password

          public String getNofilter_password()

    - #### getNofilter_spassword

          public String getNofilter_spassword()

    - #### getPort

          public String getPort()

    - #### getReseedURL

          public String getReseedURL()

    - #### getSauth

          public String getSauth()

    - #### getShost

          public String getShost()

    - #### getSport

          public String getSport()

    - #### getSusername

          public String getSusername()

    - #### getUsername

          public String getUsername()

    - #### modeChecked

          public String modeChecked(int mode)

    - #### pmodeChecked

          public String pmodeChecked(int mode)

    - #### shouldShowHTTPProxy

          public boolean shouldShowHTTPProxy()

      Returns:
        true only if we have a http URL

    - #### shouldShowHTTPSProxy

          public boolean shouldShowHTTPSProxy()

      Returns:
        true only if we have a https URL

    - #### shouldShowSelect

          public boolean shouldShowSelect()

      Returns:
        true only if we have both http and https URLs